---
badfuncs:
  allowed:
    # scanners usually do not live on networks which would require
    # IPv6 due having too many hosts on one network, so it is not
    # a priority to have IPv6 support.
    # It is reported upstream at https://bugzilla.redhat.com/show_bug.cgi?id=1953983
    /usr/lib*/sane/libsane-dell1600n_net.so.*:
      - gethostbyname
    /usr/lib*/sane/libsane-epson2.so.*:
      - gethostbyname
      - inet_ntoa
    /usr/lib*/sane/libsane-epsonds.so.*:
      - gethostbyname
      - inet_ntoa
    /usr/lib*/sane/libsane-kodakio.so.*:
      - gethostbyname
      - inet_ntoa
    /usr/lib*/sane/libsane-magicolor.so.*:
      - gethostbyname
      - inet_ntoa
    /usr/lib*/sane/libsane-xerox_mfp.so.*:
      - gethostbyname
unicode:
  # the character looks as typo
  # reported upstream https://gitlab.com/sane-project/backends/-/merge_requests/848
  exclude: sane-backends-1.3.1/backend/kodakaio.c
